ReferenceAdmin
Deny a pending session with a reason (another platform admin; audited as breakglass.deny)
POST
/v1/admin/break-glass/{sessionId}/denyPath Parameters
sessionId*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/admin/break-glass/497f6eca-6276-4993-bfeb-53cbbbba6f08/deny" \ -H "Content-Type: application/json" \ -d '{ "reason": "string" }'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "team": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "slug": "string", "name": "string" }, "requestedBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "displayName": "string", "email": "string" }, "reason": "string", "scopes": [ "conversations" ], "durationMinutes": 0, "status": "pending", "requestedAt": "2019-08-24T14:15:22Z", "approvalDeadline": "2019-08-24T14:15:22Z", "decidedBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "displayName": "string", "email": "string" }, "decidedAt": "2019-08-24T14:15:22Z", "decisionNote": "string", "startedAt": "2019-08-24T14:15:22Z", "expiresAt": "2019-08-24T14:15:22Z", "endedAt": "2019-08-24T14:15:22Z", "endedBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "displayName": "string", "email": "string" }, "reads": [ { "kind": "conversation_list", "reads": 0, "targets": 0 } ] }}